## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageFileApcArrayDataStruct

### Cache::ezcCacheStorageFileApcArrayDataStruct

### Class ezcCacheStorageFileApcArrayDataStruct

Defines a file array APC Storage structure.

Source for this file: /Cache/src/structs/file_apc_array_data.php

    ezcBaseStruct
       |
       --ezcCacheStorageFileApcArrayDataStruct

Version: | //autogentag//

### Member Variables

public int|bool | `$atime` Holds the accessed time of the file.
public mixed | `$data` Holds the actual data.
public string | `$location` Holds the location of the cache.
public int|bool | `$mtime` Holds the modified time of the file.
public int | `$time` Holds the time the data was introduced in the cache.

### Method Summary

public ezcCacheStorageFileApcArrayDataStruct | `__construct( $data , $location , [ $mtime = false] , [ $atime = false] )` Constructs a new ezcCacheStorageFileApcArrayDataStruct.

### Methods

#### __construct

ezcCacheStorageFileApcArrayDataStruct __construct( mixed $data , string $location , [int|bool $mtime = false] , [int|bool $atime = false] )

Constructs a new ezcCacheStorageFileApcArrayDataStruct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | mixed |
`$location` | string |
`$mtime` | int|bool |
`$atime` | int|bool |

Documentation generated by phpDocumentor 1.4.3